> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a serverhost

> Verify if a serverhost exists and belongs to the specified network



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json post /v0/serverhosts/verify
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/serverhosts/verify:
    post:
      tags:
        - serverhosts
      summary: Verify a serverhost
      description: Verify if a serverhost exists and belongs to the specified network
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.VerifyServerhostRequest'
        description: Serverhost ID
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.VerifyServerhostResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.VerifyServerhostRequest:
      description: Request for serverhost verification
      properties:
        serverhost_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
      type: object
    models.VerifyServerhostResponse:
      description: Response for serverhost verification
      properties:
        host_name:
          example: ServerHost-1
          type: string
        last_keep_alive:
          example: '2023-01-01T12:00:00Z'
          type: string
        maximum_memory:
          example: 8192
          type: integer
        message:
          example: Serverhost verified successfully
          type: string
        network_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        serverhost_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        valid:
          example: true
          type: boolean
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object

````